Subject: Re: linux-next: build warning after merge of the regmap tree

From: Bjorn Andersson <[email-masked]>
Date: Mon, 6 Nov 2017 22:01:11 -0800

On Mon 06 Nov 03:21 PST 2017, Mark Brown wrote:

> On Mon, Nov 06, 2017 at 03:30:37PM +1100, Stephen Rothwell wrote:
> > On Mon, 6 Nov 2017 15:21:57 +1100 Stephen Rothwell <[email-masked]> wrote:
> > > On Mon, 6 Nov 2017 11:52:14 +1100 Stephen Rothwell <[email-masked]> wrote:
> 
> > > > After merging the regmap tree, today's linux-next build
> > > > (arm_multi_v7_defconfig) produced this warning:
> 
[..]
> isn't one right now.  The root issue here is that HWSPINLOCK can be
> built modular which makes it very painful to use from core code.

I've picked Baolin's patch for making the hwspinlock core bool.
Hopefully this help avoid this issue. Looks like I missed today's
linux-next though.

Regards,
Bjorn